Package org.gradle.language.cpp.plugins

# Class CppExecutablePlugin

java.lang.Object
org.gradle.language.cpp.plugins.CppExecutablePlugin

All Implemented Interfaces:
  `Plugin<org.gradle.api.internal.project.ProjectInternal>`

@Incubating public class CppExecutablePlugin extends Object implements Plugin<org.gradle.api.internal.project.ProjectInternal>

A plugin that produces a native executable from C++ source.

Assumes the source files are located in `src/main/cpp` and header files are located in `src/main/headers`.

Adds a `CppComponent` extension to the project to allow configuration of the executable.

Since:
  4.1

## Constructor Summary

Constructors
Constructor
Description
`CppExecutablePlugin(org.gradle.api.internal.file.FileOperations fileOperations)`
Injects a `FileOperations` instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(org.gradle.api.internal.project.ProjectInternal project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CppExecutablePlugin

@Inject public CppExecutablePlugin(org.gradle.api.internal.file.FileOperations fileOperations)
Injects a `FileOperations` instance.

Since:
  4.2

## Method Details

### apply

public void apply(org.gradle.api.internal.project.ProjectInternal project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
Parameters:
  `project` - The target object